• Cnchi: Error creating metalink for package libgnomeui


    Hello. I’ve tried installing antegos with the Cinnamon DE but cnchi gives me this error while installing:

    Error creating metalink for package libgnomeui.

    I think this is because the package doesn’t exist in the AUR anymore?

    Here’s part of the log that is found in /tmp/cnchi.log

    2017-01-25 23:38:12 [DEBUG] select_packages.py(110) create_package_list(): Packages selected
    2017-01-25 23:38:12 [DEBUG] pac.py(119) initialize_alpm(): ALPM initialised with root dir / and db path /var/lib/pacman
    2017-01-25 23:38:12 [DEBUG] pac.py(96) __init__(): ALPM repository database order is: ['antergos', 'core', 'extra', 'community', 'multilib']
    2017-01-25 23:38:13 [INFO] slides.py(268) manage_events_from_cb_queue(): Creating the list of packages to download...
    2017-01-25 23:38:19 [ERROR] metalink.py(124) create(): Can't find these packages: libgnomeui 
    2017-01-25 23:38:19 [ERROR] download.py(145) create_metalinks_list(): Error creating metalink for package libgnomeui. Installation will stop
    2017-01-25 23:38:19 [ERROR] download.py(177) create_metalinks_list(): Can't create download set. An exception of type InstallError occured. Arguments:
    ('Error creating metalink for package libgnomeui. Installation will stop',)
    2017-01-25 23:38:19 [ERROR] process.py(128) run(): 'Cannot create download package list (metalinks).'
    2017-01-25 23:38:19 [ERROR] process.py(132) run(): Traceback (most recent call last):
    2017-01-25 23:38:19 [ERROR] process.py(132) run():   File "/usr/share/cnchi/cnchi/installation/process.py", line 93, in run
        self.create_metalinks_list()
    
  • Hmm. It’s interesting. Yes, cnchi explicitely wants to install libgnomeui, through packages.xml. Not only for Cinnamon but also for Gnome. None of yaourt, pacman, Arch site packages search, Arch site AUR search find libgnomeui in current repos.

    Should libgnomeui be removed from packaes.xml, as it was done with gstreamer0.10-plugins? The last commit for libgnomeui was in March 2015, 2 years ago.

    Edit

    Pacman reports libgnomeui as no longer included in any repo (foreign package):

    ┌──[just]─[alexasg]:~$
    └─> pacman -Qm
    ...
    libgnomeui 2.24.5-2
    ...
    ┌──[just]─[alexasg]:~$
    └─>
    
  • I tried to install Antergos 17.1 Cinnamona few minutes ago, and confirm the same error - libgnomeui cannot be downloaded.

    ...
    2017-01-26 10:27:31 [INFO] slides.py(268) manage_events_from_cb_queue(): Creating the list of packages to download...
    2017-01-26 10:27:45 [ERROR] metalink.py(124) create(): Can't find these packages: libgnomeui 
    2017-01-26 10:27:45 [ERROR] download.py(145) create_metalinks_list(): Error creating metalink for package libgnomeui. Installation will stop
    2017-01-26 10:27:45 [ERROR] download.py(177) create_metalinks_list(): Can't create download set. An exception of type InstallError occured. Arguments:
    ('Error creating metalink for package libgnomeui. Installation will stop',)
    ...
    
  • same error
    libgnomeui is in the aur but appears to have been removed from [extra] so it is failing for this reason

  • Got the same error last night installing with Cinnamon DE, I dont have the log now but was related with the libgnomeui package too.

    'Error creating metalink for package libgnomeui. Installation will stop'
    

    In a older install of Antergos with Cinnamon DE I have libgnomeui but its flaged as a foreign packages

    ➜  ~ sudo pacman -Qm | grep libgnomeui
    libgnomeui 2.24.5-2
    
  • Yes, the package has been removed from Arch repositories.

    We’ve removed it from packages.xml , so Cnchi shouldn’t complain about it anymore.

    Thanks!

  • Thank you @Kriev! It works great now.

libgnomeui1 error170 creating3 metalink1 Posts 7Views 649
Log in to reply